- Home »
- Catalog »
- Front Disc Brake Conversion Kits »
- Power Front Kits
LEED Brakes » LEED Brakes
Browse Power Front Kits Products
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: BFC1010-K1A3X
Condition:
New
Price: $1,265.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1955-58 Chevrolet Bel Air, Impala, or 1958 Biscayne with this complete power front disc brake conversion kit from LEED Brakes. Designed to replace factory drum brakes, this direct...More Details »
Item #: FC1010-K105X
Condition:
New
Price: $1,174.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: BFC1010-K105X
Condition:
New
Price: $1,249.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: RFC1010-K105X
Condition:
New
Price: $1,249.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: FC1010-K1A3
Condition:
New
Price: $1,049.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: FC1010-K1A3X
Condition:
New
Price: $1,189.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: RFC1010-K1A3X
Condition:
New
Price: $1,265.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: FC1010-K105
Condition:
New
Price: $1,034.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of power disc brakes to your 1955-58 Tri-Five GM Full Size vehicle with LEED Brakes' front drum-to-disc brake conversion kit. This complete power front...More Details »
Item #: FC1010-K1A1
Condition:
New
Price: $1,049.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: FC1010-K1A1X
Condition:
New
Price: $1,189.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: BFC1010-K1A1X
Condition:
New
Price: $1,264.99
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: RFC1010-K1A1X
Condition:
New
Price: $1,264.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1957-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert vehicles originally equipped with...More Details »
Item #: FC0026-8307X
Condition:
New
Price: $2,094.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1957-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert vehicles originally equipped with...More Details »
Item #: RFC0026-8307X
Condition:
New
Price: $2,169.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1957–1968 Ford full-size vehicle with this manual drum to power disc conversion kit featuring MaxGrip XDS rotors from LEED...More Details »
Item #: FC0025-8307X
Condition:
New
Price: $1,739.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Ford with LEED Brakes' 1957-62 Ford Full-Size Power Front Disc Brake Conversion Kit featuring MaxGrip XDS rotors. This...More Details »
Item #: FC0025-Y307X
Condition:
New
Price: $1,839.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1957-1962 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with...More Details »
Item #: RFC0026-Y307X
Condition:
New
Price: $2,199.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Ford with LEED Brakes' 1957-68 Ford Full-Size Power Front Disc Brake Conversion Kit for Y-Block cars. This complete kit...More Details »
Item #: FC0025-Y307
Condition:
New
Price: $1,699.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1957-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert vehicles originally equipped with...More Details »
Item #: BFC0026-8307X
Condition:
New
Price: $2,169.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of power disc brakes to your 1958-1964 full-size Chevrolet with LEED Brakes' front disc brake conversion kit. This kit mounts to your stock drum brake...More Details »
Item #: BFC1011-K1A3X
Condition:
New
Price: $1,272.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: FC1011-K105
Condition:
New
Price: $1,034.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: FC1011-K105X
Condition:
New
Price: $1,174.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: FC1011-K1A3X
Condition:
New
Price: $1,189.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: BFC1011-K105X
Condition:
New
Price: $1,255.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: RFC1011-K105X
Condition:
New
Price: $1,255.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of power disc brakes to your 1958-1964 full-size Chevrolet with LEED Brakes' front disc brake conversion kit. This complete kit includes everything...More Details »
Item #: FC1011-K1A3
Condition:
New
Price: $1,049.99
Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: RFC1011-K1A3X
Condition:
New
Price: $1,272.99
Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and stopping power of your classic Mopar with LEED Brakes' 1962-72 Mopar B, C & E-Body Factory Power Front Disc Brake Conversion Kit. Designed for vehicles...More Details »
Item #: BFC2002-C05PX
Condition:
New
Price: $1,629.99
Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and braking performance of disc brakes to your classic Mopar with LEED Brakes' 1962-72 Factory Power Front Disc Brake Conversion Kit. Designed for vehicles equipped...More Details »
Item #: FC2002-C05P
Condition:
New
Price: $1,399.99
Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and braking performance of your 1962-72 Mopar with LEED Brakes' Factory Power Front Disc Brake Conversion Kit featuring MaxGrip XDS rotors. Designed for vehicles...More Details »
Item #: FC2002-C05PX
Condition:
New
Price: $1,539.99
Ford Mustang, Manual Transmission
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of power front disc brakes to your 1964-1966 Ford Mustang with a factory manual transmission. This drum-to-power disc brake conversion kit...More Details »
Item #: FC0001-H405M
Condition:
New
Price: $1,499.99
1964-66 Mustang Manual Tranmssion Power Front Kit with Drilled Rotors and Red Powder Coated Calipers
Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of power front disc brakes to your 1964-1966 Ford Mustang with a factory manual transmission. This drum-to-power disc brake conversion kit...More Details »
Item #: RFC0001-H405MX
Condition:
New
Price: $1,714.99
Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of power front disc brakes to your 1964-1966 Ford Mustang with a factory manual transmission. This drum-to-power disc brake conversion kit...More Details »
Item #: BFC0001-H405MX
Condition:
New
Price: $1,714.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1964-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed specifically to convert vehicles originally...More Details »
Item #: BFC0026-P307X
Condition:
New
Price: $2,149.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1968 full-size Ford or Mercury from factory power drum brakes to power front disc brakes with this MaxGrip XDS conversion kit from LEED Brakes. Designed for classic Ford Galaxie,...More Details »
Item #: BFC0025-P307X
Condition:
New
Price: $1,839.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1968 full-size Ford or Mercury from factory power drum brakes to power front disc brakes with this MaxGrip XDS conversion kit from LEED Brakes. Designed for classic Ford Galaxie,...More Details »
Item #: FC0025-P307X
Condition:
New
Price: $1,764.99
Ford Mustang, Automatic Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Convert your 1964.5-1966 Ford Mustang automatic transmission car from drum to power front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and...More Details »
Item #: FC0001-H405AX
Condition:
New
Price: $1,609.99
1964–1966 Ford Mustang Manual Transmission Power Front Disc Brake Conversion Kit with Drilled Rotors
Ford Mustang, Manual Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of power front disc brakes to your 1964-1966 Ford Mustang with a factory manual transmission. This drum-to-power disc brake conversion kit...More Details »
Item #: FC0001-H405MX
Condition:
New
Price: $1,639.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1968 full-size Ford or Mercury from factory power drum brakes to power front disc brakes with this conversion kit from LEED Brakes. Designed for classic Ford Galaxie, LTD,...More Details »
Item #: FC0025-P307
Condition:
New
Price: $1,624.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1968 full-size Ford or Mercury from factory power drum brakes to power front disc brakes with this MaxGrip XDS conversion kit from LEED Brakes. Designed for classic Ford Galaxie,...More Details »
Item #: RFC0025-P307X
Condition:
New
Price: $1,839.99
Ford Mustang, Automatic Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Convert your 1965-1966 Ford Mustang to power front disc brakes with this complete conversion kit from LEED Brakes featuring factory style 4-piston calipers and a pre-bent brake line kit. Designed...More Details »
Item #: FC0001-H405ALK
Condition:
New
Price: $1,689.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and braking performance of your classic Mopar with LEED Brakes' 1965-72 C-Body Factory Power Front Disc Brake Conversion Kit. Designed for vehicles equipped with...More Details »
Item #: FC2003-C05P
Condition:
New
Price: $1,379.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and braking performance of your classic Mopar with LEED Brakes' 1965-72 C-Body Factory Power Front Disc Brake Conversion Kit featuring MaxGrip XDS rotors. Designed...More Details »
Item #: FC2003-C05PX
Condition:
New
Price: $1,519.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and braking performance of your classic Mopar with LEED Brakes' 1965-72 C-Body Factory Power Front Disc Brake Conversion Kit. Designed for vehicles equipped with...More Details »
Item #: BFC2003-C05PX
Condition:
New
Price: $1,613.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and braking performance of your classic Mopar with LEED Brakes' 1965-72 C-Body Factory Power Front Disc Brake Conversion Kit. Designed for vehicles equipped with...More Details »
Item #: RFC2003-C05PX
Condition:
New
Price: $1,613.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your 1965–1972 Mopar C-Body with the safety, reliability, and stopping performance of a LEED Brakes manual drum-to-power disc brake conversion kit. This front disc brake conversion kit...More Details »
Item #: FC2003-8405
Condition:
New
Price: $1,539.99
Ford Mustang, Manual Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Convert your 1967-1969 Ford Mustang manual transmission car from drum to power front disc brakes with this complete conversion kit from LEED Brakes. This factory style 4 piston front disc brake...More Details »
Item #: FC0002-X405M
Condition:
New
Price: $1,599.99
Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Convert your 1967-1969 Ford Mustang automatic transmission vehicle from drum to power front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and...More Details »
Item #: FC0002-3405AX
Condition:
New
Price: $1,734.99
Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Convert your 1967-1969 Ford Mustang or Mercury Cougar with manual transmission from drum to power front disc brakes using this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross...More Details »
Item #: FC0002-X405MX
Condition:
New
Price: $1,739.99
Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Convert your 1970 Ford Mustang automatic transmission vehicle from drum to power front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted...More Details »
Item #: FC0003-3405AX
Condition:
New
Price: $1,739.99
Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Convert your 1970 Ford Mustang manual transmission car from drum to power 4 piston front disc brakes with this complete conversion kit from LEED Brakes. Designed to mount to original 1970 drum...More Details »
Item #: FC0003-X405M
Condition:
New
Price: $1,599.97
Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Convert your 1971-1973 Ford Mustang from drum to power front disc brakes with this factory style 4 piston conversion kit from LEED Brakes. Designed to mount to original drum brake spindles using...More Details »
Item #: FC0004-W405
Condition:
New
Price: $1,499.99
Ford Mustang
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Convert your 1971-1973 Ford Mustang from drum to power front disc brakes with this 4-piston conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted rotors. Designed to mount...More Details »
Item #: FC0004-W405X
Condition:
New
Price: $1,639.99
Ford Mustang, Automatic Transmission
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1970 Mustang with this drum-to-power disc brake conversion kit from LEED Brakes. In this kit, you receive everything needed to...More Details »
Item #: FC0003-3405A
Condition:
New
Price: $1,599.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your 1957–1968 Ford full-size vehicle with this drum to disc conversion kit featuring MaxGrip XDS rotors from LEED Brakes. This...More Details »
Item #: FC0025-405PX
Condition:
New
Price: $1,639.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of front disc brakes to your 1957–1968 Ford or Mercury with this complete drum to disc conversion kit from LEED Brakes. This Ford and Mercury disc...More Details »
Item #: FC0025-405P
Condition:
New
Price: $1,499.99
Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar B-Body from factory power drum brakes to front disc brakes with this LEED Brakes MaxGrip XDS Front Disc Brake Conversion Kit. Featuring cross-drilled and slotted rotors, red...More Details »
Item #: RFC2002-C05PX
Condition:
New
Price: $1,629.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Mopar C-Body from factory power drum brakes to front disc brakes with this LEED Brakes conversion kit. Designed to mount factory-style 4-piston disc brakes to your vehicle's...More Details »
Item #: FC2003-P405
Condition:
New
Price: $1,534.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar C-Body from factory power drum brakes to front disc brakes with this LEED Brakes conversion kit featuring MaxGrip XDS cross-drilled and slotted rotors. This kit includes...More Details »
Item #: BFC2003-P405X
Condition:
New
Price: $1,770.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar C-Body from factory power drum brakes to front disc brakes with this LEED Brakes conversion kit featuring MaxGrip XDS cross-drilled and slotted rotors. This kit includes...More Details »
Item #: RFC2003-P405X
Condition:
New
Price: $1,770.99